%define		php_name	php%{?php_suffix}
%define		status		beta
%define		modname		translit
Summary:	%{modname} - transliterates non-latin character sets to latin
Summary(pl.UTF-8):	%{modname} - translitacja alfabetów niełacińskich do łacińskiego
Name:		%{php_name}-pecl-%{modname}
Version:	0.6.1
Release:	6
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	67bdee44c3dbcc3ab7ee39329da8e010
URL:		http://pecl.php.net/package/translit/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	%{php_name}-iconv
Requires:	php(core) >= 5.0.4
Provides:	php(%{modname}) = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension allows you to transliterate text in non-latin
characters (such as Chinese, Cyrillic, Greek etc) to latin characters.
Besides the transliteration the extension also contains filters to
upper- and lowercase latin, cyrillic and greek, and perform special
forms of transliteration such as converting ligatures such as the
Norwegian "ae" ligature to separate "ae" characters and normalizing
punctuation and spacing.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie umożliwia transliterację tekstu ze znaków
niełacińskich (takich jak chińskie, cyrilica, greckie) na znaki
łacińskie. Oprócz transliteracji rozszerzenie zawiera także filtry na
wielkie i małe litery łacińskie, cyrylicę i greckie oraz wykonuje
specjalne formy transliteracji, takie jak konwersja ligatur takich jak
norweska ligatura "ae" na oddzielne znaki "ae" oraz normalizacja
znaków przestankowych i odstępów.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu May 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-translit.git;a=log;h=AC-branch

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 3831f6a
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> bde1698
- update macros BR

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> f3dfaad
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 72d8bd9
- release 4 (by relup.sh)

* Thu Aug 02 2012 Elan Ruusamäe <glen@delfi.ee> 0a2bff6
- release 3 (by relup.sh)

* Thu Aug 02 2012 Elan Ruusamäe <glen@delfi.ee> e2a57f8
- release 2 (by relup.sh)

* Wed Aug 01 2012 Elan Ruusamäe <glen@delfi.ee> 382d206
- macros for building for other php versions

* Sat Jun 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> fba179d
- updated to 0.6.1

* Thu Nov 03 2011 Elan Ruusamäe <glen@pld-linux.org> 99d98d5
- spec unify, remove bogus obsolete: this pkg was never named pear

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b4779d0
- release 6

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 781d472
- release 5

* Thu Apr 30 2009 Elan Ruusamäe <glen@pld-linux.org> e68ac81
- release 4

* Thu Apr 30 2009 Elan Ruusamäe <glen@pld-linux.org> 3fce8a4
- depends on iconv php extension; rel 3

* Thu Dec 04 2008 Elan Ruusamäe <glen@pld-linux.org> 68f1498
- release 2

* Thu Dec 04 2008 Elan Ruusamäe <glen@pld-linux.org> 9e53754
- v0.6.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fbfe353
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 39336f6
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 2623f79
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 6e84575
- rel 6 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> dd34179
- BR rpmmacros for fixed %requires_php_extension

